package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcPriceRemarkMapper;
import com.ruoyi.oa.domain.CmcPriceRemark;
import com.ruoyi.oa.service.ICmcPriceRemarkService;

/**
 * 单价备注Service业务层处理
 * 
 * @author cmc
 * @date 2024-05-14
 */
@Service
public class CmcPriceRemarkServiceImpl implements ICmcPriceRemarkService 
{
    @Autowired
    private CmcPriceRemarkMapper cmcPriceRemarkMapper;

    /**
     * 查询单价备注
     * 
     * @param priceRemarkId 单价备注主键
     * @return 单价备注
     */
    @Override
    public CmcPriceRemark selectCmcPriceRemarkByPriceRemarkId(Long priceRemarkId)
    {
        return cmcPriceRemarkMapper.selectCmcPriceRemarkByPriceRemarkId(priceRemarkId);
    }

    /**
     * 查询单价备注列表
     * 
     * @param cmcPriceRemark 单价备注
     * @return 单价备注
     */
    @Override
    public List<CmcPriceRemark> selectCmcPriceRemarkList(CmcPriceRemark cmcPriceRemark)
    {
        return cmcPriceRemarkMapper.selectCmcPriceRemarkList(cmcPriceRemark);
    }

    /**
     * 新增单价备注
     * 
     * @param cmcPriceRemark 单价备注
     * @return 结果
     */
    @Override
    public int insertCmcPriceRemark(CmcPriceRemark cmcPriceRemark)
    {
        return cmcPriceRemarkMapper.insertCmcPriceRemark(cmcPriceRemark);
    }

    /**
     * 修改单价备注
     * 
     * @param cmcPriceRemark 单价备注
     * @return 结果
     */
    @Override
    public int updateCmcPriceRemark(CmcPriceRemark cmcPriceRemark)
    {
        return cmcPriceRemarkMapper.updateCmcPriceRemark(cmcPriceRemark);
    }

    /**
     * 批量删除单价备注
     * 
     * @param priceRemarkIds 需要删除的单价备注主键
     * @return 结果
     */
    @Override
    public int deleteCmcPriceRemarkByPriceRemarkIds(Long[] priceRemarkIds)
    {
        return cmcPriceRemarkMapper.deleteCmcPriceRemarkByPriceRemarkIds(priceRemarkIds);
    }

    /**
     * 删除单价备注信息
     * 
     * @param priceRemarkId 单价备注主键
     * @return 结果
     */
    @Override
    public int deleteCmcPriceRemarkByPriceRemarkId(Long priceRemarkId)
    {
        return cmcPriceRemarkMapper.deleteCmcPriceRemarkByPriceRemarkId(priceRemarkId);
    }
}
